Bug 110735 - Xaw3d-devel should Requires: XFree86-devel
Summary: Xaw3d-devel should Requires: XFree86-devel
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: Xaw3d   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-24 11:09 UTC by Maxim Dziumanenko
Modified: 2007-04-18 16:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-26 13:58:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Maxim Dziumanenko 2003-11-24 11:09:11 UTC
Description of problem:
some *.h files from Xaw3d-devel package include *.h files provided by
XFree86-devel package (<X11/Constraint.h>, <X11/Xfuncproto.h>,
<X11/ConstrainP.h> ...). 

Version-Release number of selected component (if applicable):
Xaw3d-1.5-19

How reproducible:
Always

Steps to Reproduce:
1.rpm -i Xaw3d-devel
2.rpm -e XFree86-devel
3.rpmbuild --rebuild gv-3.5.8-23.src.rpm (gv requires Xaw3d-devel to
build)
4.Wait for build errors
  
Actual results:


Expected results:


Additional info:

Comment 1 Miloslav Trmac 2003-11-24 12:20:08 UTC
Triage->Easyfix

Comment 2 Ngo Than 2003-11-26 19:07:38 UTC
it's fixed in 1.5-20. Thanks for your report

Comment 3 Maxim Dziumanenko 2004-05-24 15:15:54 UTC
Still not fixed in 1.5-21.1

Comment 4 Leonard den Ottolander 2004-07-23 21:51:31 UTC
I could open a separate bug for this, but Xaw3d also *BuildRequires*
XFree86-devel. More specifically it BuildRequires xmkmf.


Comment 5 Ngo Than 2004-07-26 13:58:20 UTC
ok, it's really fixed in 1.5-23 ;-) Thanks for your report.

Comment 6 Leonard den Ottolander 2004-07-26 14:03:32 UTC
Does 1.5-23 also fix the *BuildRequires*?



Note You need to log in before you can comment on or make changes to this bug.